[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.SaveHandleState

Stores the state for the Handle in the canvas.

## Declaration

Source position: graphics.pp line 1098

`public procedure TCanvas.SaveHandleState; virtual;`

## Description

SaveHandleState is used in the LCL instead of direct calls to SaveDC and RestoreDC in widgetset classes. Used along with RestoreHandleState. It allows multiple device contexts to be captured and handled in a LIFO fashion.

## See also

TCanvas.RestoreHandleState |  | Restores the previous Handle state for the canvas.